//*****************************************************************************
//
// touch_task.h - Prototypes for the touch panel service task
//
//*****************************************************************************

#ifndef __TOUCH_TASK_H__
#define __TOUCH_TASK_H__

//*****************************************************************************
//
// Type definition of the structure holding touch position
//
//*****************************************************************************
typedef struct {
  //
  // touch x position (column):
  //	0		- pen up
  //	1, 2, 3	- pen down at column 1, 2, 3
  //	4..255	- no x pen position
  //
  unsigned char Xcol;

  //
  // touch y position (row):
  //	0		- pen up
  //	1, 2, 3, 4	- pen down at row 1, 2, 3, 4
  //	5..255	- no y pen position
  //
  unsigned char Yrow;
} TP_position;

//*****************************************************************************
//
// Prototypes for the touch panel service task
//
//*****************************************************************************
extern volatile short g_sTouchX;
extern volatile short g_sTouchY;
extern unsigned long TouchPanelTaskInit(void);
extern char CheckTouchPanel(TP_position *pKeyPos);

#endif // __TOUCH_TASK_H__
